Bug 53156 - PRINTING: a thin line appearing on top end of the thick inner line(border)
Summary: PRINTING: a thin line appearing on top end of the thick inner line(border)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: preBibisect, regression
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2012-08-06 10:10 UTC by Josh Kim
Modified: 2018-08-13 02:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
multiple horizontal cells with the same background colours with a thick centre line and a fine line on top end of the line in full zoom. (47.35 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-08-06 10:10 UTC, Josh Kim
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Kim 2012-08-06 10:10:30 UTC
Created attachment 65164 [details]
multiple horizontal cells with the same background colours with a thick centre line and a fine line on top end of the line in full zoom.

Problem description: 
When a thick(6pt) horizontal inner line is configured between the cells of the same background colour, a fine line (which does not exist in the normal view) in the same colour as the background appears on top end of the line in both print preview and on the printed document. This line does not disappear unless I configure another inner line directly above the initial horizontal inner line.

Steps to reproduce:
1. Open the attachment.
2. Check that there is no horizontal inner line between any two horizontal cells with the same background colour in the normal view.
3. Go to 'print preview' and zoom in as much as possible until a fine line in the same colour as the background on the top end of the horizontal inner line becomes visible.
4. Print the spreadsheet to confirm that the line is also present on the printed document as well.

Current behavior:
A fine horizontal line appears on top end of where the thick horiziontal inner line has been configured in both print preview and actual printout.

Expected behavior:
The horizontal line should not exist at all.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/5.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C)
Comment 1 Michael Stahl (CIB) 2012-08-21 14:32:57 UTC
indeed there are horizontal lines in the print preview
on master and LO 3.5.4, but not in OOo 3.3 => regression

i guess it's caused by either wrong size or wrong position
of the border line drawing layer primitive so the
white border doesn't paint over the background completely.
Comment 2 Cédric Bosdonnat 2014-01-20 09:00:32 UTC
Restricted my LibreOffice hacking area
Comment 3 Joel Madero 2015-05-02 15:41:34 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-20 13:22:33 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 Xisco Faulí 2016-09-13 11:28:30 UTC
Adding keyword 'preBisect' as this regression was introduced before branch 4.4 and therefore it can't be bibisected as there's no bibisect repository for this branch.
Comment 6 QA Administrators 2018-08-13 02:38:25 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug